Skip to content

Estimate credit cost for contact enrichment

Request

Returns the estimated credit cost for a contact enrichment request without consuming any credits or returning data. Use the same parameters as the enrich endpoint.

Security
authorization
Bodyapplication/jsonrequired

Enrich estimate request

fieldsArray of strings, non-emptyrequired

Fields to enrich for each contact.

Items Enum:"email""phone"
Example:
[ "email", "phone" ]
idsArray of strings, [ 1 .. 20 ] itemsrequired

List of contact IDs to enrich. A maximum of 20 IDs may be enriched per request.

Example:
[ "820b11e9bff6183dbefdf3d29c16202f85fe366f7569d0ca0ddfc7e10d372451", "5f09a1f4b151848e12aa9fbfa1884ea0e5b6a35a6bb280ca88049529c6ecfbd4", "37ba3e25df4e4904df7d9794e327012ce66fc6d21ba57d33ebc614719a76edc9" ]
POST
/data-api/v2/contacts/enrich/estimate
curl -i -X POST \
  https://api.hginsights.com/data-api/v2/contacts/enrich/estimate \
  -H 'Authorization: Bearer <YOUR_API_KEY_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "fields": [
      "email",
      "phone"
    ],
    "ids": [
      "820b11e9bff6183dbefdf3d29c16202f85fe366f7569d0ca0ddfc7e10d372451",
      "5f09a1f4b151848e12aa9fbfa1884ea0e5b6a35a6bb280ca88049529c6ecfbd4",
      "37ba3e25df4e4904df7d9794e327012ce66fc6d21ba57d33ebc614719a76edc9"
    ]
  }'

Responses

Estimate response

Bodyapplication/json
available_creditsintegerrequired

Remaining credits in cycle

credits_estimatenumber, (double)required

Max credits that will be consumed

detailsobjectrequired

Per-data-type breakdown (only includes requested fields)

sufficient_creditsbooleanrequired

Whether org has enough credits

Response
{ "available_credits": 0, "credits_estimate": 0.1, "details": { "contact_email": {}, "contact_phone": {} }, "sufficient_credits": true }